Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452661 - Firefox has a high cpu usage - min. 15%
Summary: Firefox has a high cpu usage - min. 15%
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-24 12:22 UTC by Ingo Schaefer
Modified: 2018-04-11 08:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:57:07 UTC


Attachments (Terms of Use)

Description Ingo Schaefer 2008-06-24 12:22:57 UTC
Description of problem:
Compared to the firefox 2 I used til the upgrade to Fedora 9 the firefox 3 has a
significant higher load. As some kind of trade-off the memory footprint is much
smaller. Currently I have 3 Firefox windows with in Sum 95 Tabs open. 

Version-Release number of selected component (if applicable):
firefox-3.0-1.fc9.i386

How reproducible:
always.

Steps to Reproduce:
1. Maybe try to open lots of tabs with firefox 3?
2.
3.
  
Actual results:
Firefox uses at least 15 Percent CPU, sometimes jumping to 100% while loading pages.

Expected results:
The CPU usage should be somewhat smaller, maybe no more than 8 Percent on a
constant basis.

Additional info:

Comment 1 Matěj Cepl 2008-06-24 17:04:38 UTC
If this issue turns out to still be reproduceable in the latest updates for this
Fedora Core release, please file a bug report in the the upstream bugzilla
located at http://bugzilla.mozilla.org in the particular component.

Once you've filed your bug report to the upstream bugzilla, if you paste the new
bug URL here, Red Hat will continue to track the issue in the centralized
upstream bug tracker, and will review any bug fixes that become available for
consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

Comment 2 Ingo Schaefer 2008-06-25 08:06:43 UTC
Sorry, I can not file a bug in the mozilla bugzilla, because it is unusable.
I've found lots of bugs about cpu usage there, most of them about ff1 - but one
can not see that on the list.

Trying to search only the firefox 3 does not give any results, but I know I've
found some on the simple query interface. So maybe I am too dumb to query the
mozilla bugzilla.

I downloaded the binary version directly from mozilla.org and started it instead
of the Fedora one. Now CPU usage seems normal after a very long startup with
100% - I would assume, that the problem has to do with some fedora specific
packaging.

The firefox binary in the fedora rpm is 46K in size, the mozilla.org binary only
7.5K - comparing the application.ini says the fedora version is from June 12th,
the mozilla.org release is from May 29th.

Comment 3 Jan Kratochvil 2008-06-25 15:10:20 UTC
To get profiling without rebuilding firefox with gcc -pg you may try:
debuginfo-install firefox kernel
oprof_start (and start oprofile)
(run firefox for some time)
opreport -lf
(and then stop oprofile)
Other options may be also useful.


Comment 4 Matěj Cepl 2008-06-25 16:31:05 UTC
(In reply to comment #2)
> Sorry, I can not file a bug in the mozilla bugzilla, because it is unusable.
> I've found lots of bugs about cpu usage there, most of them about ff1 - but
> one can not see that on the list.

Just don't bother with looking for duplicates -- they got their bug triaging
team together pretty well for NEW bugs, just nobody bothered to clean the old
ones. Just file it there and they will do something reasonable with it.

> I downloaded the binary version directly from mozilla.org and started it 
> instead of the Fedora one. Now CPU usage seems normal after a very long 
> startup with 100% - I would assume, that the problem has to do with some 
> fedora specific packaging.

OK, this is interesting. Will investigate.

> The firefox binary in the fedora rpm is 46K in size, the mozilla.org binary 
> only 7.5K - comparing the application.ini says the fedora version is from 
> June 12th, the mozilla.org release is from May 29th.

Upstream binary doesn't use xulrunner, that's only distributions' thing. So
these binaries are far from being the same.

Anyway, ASSIGNing to our developers, because apparently the bug is not
reproducable with upstream bugzilla.

Comment 5 Bug Zapper 2009-06-10 01:45:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2009-07-14 17:57:07 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.